+================================================
+                                                
+    Vectric machine output configuration file   
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      When       What                         
+ ======== ========== ===========================
+ Ricky     13/04/2016 altered initial move z,x,y
+	    Changed at end ZH to Z0. 
+ Ricky     12/05/2019 added user prompts
+ Ricky	    12/05/2019 added [#][@]
+ Ricky	    Changed file extension to *.gnc 
+ RICKY     01/10/2019 ADDED LASER AREA TOOL 99 
            
+================================================

POST_NAME = "SCANCAD ON ALS(mm)(*.gnc)"

FILE_EXTENSION = "gnc"

UNITS = "MM"

SUBSTITUTE = "({)}#_@_"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [#|A|#|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|A|X|1.3]
VAR Y_POSITION = [Y|A|Y|1.3]
VAR Z_POSITION = [Z|A|Z|1.3]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.3]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR Z_HOME_POSITION = [ZH|A|Z|1.3]


+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

"#G17"
"#M78"
"#M06 [T]"

+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE

"#M06 [T]"
"#M01 Job Type: SCAN ON ALS"
"#M01 REMOVE TOOL SENSOR"
"#G00 X 0.00 Y 0.00"
"#M01 START SPINDLE"
"#M62 [S]"
"#G04 5"

+---------------------------------------------------
+  Commands output for Initial rapid move 
+---------------------------------------------------

begin INITIAL_RAPID_MOVE

"#G00 [X][Y][Z]"
"#M01 START MACHINING"
"#G00 Z0.0000"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"#G00 [X] [Y] [Z]"

+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"#G01 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"#G00 [X] [Y] [Z]"

+---------------------------------------------------
+  Commands output for the first clockwise arc move
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"@G02 [X] [Y] [I] [J] [F]"
"@ [IA] [JA]"

+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------

begin CW_ARC_MOVE

"@G02 [X] [Y] [I] [J]"
"@ IA JA"

+---------------------------------------------------
+  Commands output for the first counterclockwise arc move
+---------------------------------------------------

begin FIRST_CCW_ARC_MOVE

"@G03 [X] [Y] [I] [J] [F]"
"@ [IA] [JA]"

+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------

begin CCW_ARC_MOVE

"@G03 [X] [Y] [I] [J]"
"@ [IA] [JA]"

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER

"#M79"
"#G00 [ZH]"
"#M62 0"
"#G04 5"
"#G00 [XH] [YH]"
"#M01 FINISHED"
"#M30"

